ランタイム: Mix::Scene::IDynamicsObject Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IDynamicsObject Class Referenceabstract

ダイナミクスオブジェクトインターフェース More...

`#include <IDynamicsObject.h>`

Inheritance diagram for Mix::Scene::IDynamicsObject:
[legend]
Collaboration diagram for Mix::Scene::IDynamicsObject:
[legend]

## Public Types

enum | TYPE { UNDEFINED = 0, SIMPLE_COLLIDER = 1, LIBERTY_COLLIDER = 2, ACTOR_COLLIDER = 3, TERRAIN_COLLIDER = 4, SIMPLE_SENSOR = 5, ACTOR_SENSOR = 6, SIMPLE_KINEMATIC_CHARACTER = 7, ACTOR_KINEMATIC_CHARACTER = 8 }
| タイプ列挙定数 More...

## Public Member Functions

virtual Mix::Scene::IDynamicsObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetOwner (Mix::Scene::IRendererObject **ppOwner)=0
| オーナーを取得します More...
virtual Mix::Scene::IRendererObject * | GetOwnerPtr (void) const =0
| オーナーのポインタを取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Boolean | HasContactListener (void) const =0
| コンタクトリスナーを所持しているかどうかを取得します More...
virtual Boolean | ContainsContactListener (Mix::Scene::IContactListener *pListener) const =0
| 指定したコンタクトリスナーが存在しているかどうかを確認します More...
virtual Boolean | AddContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを追加します More...
virtual Boolean | RemoveContactListener (Mix::Scene::IContactListener *pListener)=0
| コンタクトリスナーを削除します More...
virtual void | ClearContactListener (void)=0
| 全てのコンタクトリスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IDynamicsObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

ダイナミクスオブジェクトインターフェース

## Member Enumeration Documentation

enum Mix::Scene::IDynamicsObject::TYPE

タイプ列挙定数

Enumerator
UNDEFINED | 定義されていないダイナミクスオブジェクト
SIMPLE_COLLIDER | シンプルコライダー
LIBERTY_COLLIDER | リバティコライダー
ACTOR_COLLIDER | アクターコライダー
TERRAIN_COLLIDER | テラインコライダー
SIMPLE_SENSOR | シンプルセンサー
ACTOR_SENSOR | アクターセンサー
SIMPLE_KINEMATIC_CHARACTER | シンプルキネマティックキャラクター
ACTOR_KINEMATIC_CHARACTER | アクターキネマティックキャラクター

## Constructor & Destructor Documentation

virtual Mix::Scene::IDynamicsObject::~IDynamicsObject | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::Scene::IDynamicsObject::TYPE Mix::Scene::IDynamicsObject::GetType | ( | void |  | ) | const

pure virtual

種類を取得します

Returns
  種類を表す Mix::Scene::IDynamicsObject::TYPE 列挙定数を返します

virtual Boolean Mix::Scene::IDynamicsObject::GetOwner | ( | Mix::Scene::IRendererObject ** | ppOwner | ) |

pure virtual

オーナーを取得します

Parameters

  [out] | ppOwner | 取得したオーナーを渡す Mix::Scene::IRendererObject インターフェースのポインタのアドレス

virtual Mix::Scene::IRendererObject* Mix::Scene::IDynamicsObject::GetOwnerPtr | ( | void |  | ) | const

pure virtual

オーナーのポインタを取得します

Returns
  オーナーのポインタを表す Mix::Scene::IRendererObject インターフェースのポインタを返します

virtual Mix::Matrix4x4 Mix::Scene::IDynamicsObject::GetWorldMatrix | ( | void |  | ) | const

pure virtual

ワールド行列を取得します

Returns
  ワールド行列を表す Mix::Matrix4x4 クラスを返します

virtual Mix::Quaternion Mix::Scene::IDynamicsObject::GetWorldRotation | ( | void |  | ) | const

pure virtual

ワールドの回転を取得します

Returns
  ワールドの回転を表す Mix::Quaternion クラスを返します

virtual Mix::Vector3 Mix::Scene::IDynamicsObject::GetWorldPosition | ( | void |  | ) | const

pure virtual

ワールドの位置を取得します

Returns
  ワールドの位置を表す Mix::Vector3 クラスを返します

virtual Boolean Mix::Scene::IDynamicsObject::HasContactListener | ( | void |  | ) | const

pure virtual

コンタクトリスナーを所持しているかどうかを取得します

Returns
  コンタクトリスナーを所持している場合は True を返します

virtual Boolean Mix::Scene::IDynamicsObject::ContainsContactListener | ( | Mix::Scene::IContactListener * | pListener | ) | const

pure virtual

指定したコンタクトリスナーが存在しているかどうかを確認します

Parameters

  [in] | pListener | 確認するコンタクトリスナーを表す Mix::Scene::IContactListener インターフェースのポインタ

Returns
  存在している場合は True を返します

virtual Boolean Mix::Scene::IDynamicsObject::AddContactListener | ( | Mix::Scene::IContactListener * | pListener | ) |

pure virtual

コンタクトリスナーを追加します

Parameters

  [in] | pListener | 追加するコンタクトリスナーを表す Mix::Scene::IContactListener インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  追加したコンタクトリスナーは参照カウンタを +1 します

virtual Boolean Mix::Scene::IDynamicsObject::RemoveContactListener | ( | Mix::Scene::IContactListener * | pListener | ) |

pure virtual

コンタクトリスナーを削除します

Parameters

  [in] | pListener | 削除するコンタクトリスナーを表す Mix::Scene::IContactListener インターフェースのポインタ

Returns
  成功した場合は True を返します

Note
  削除したコンタクトリスナーは参照カウンタを -1 します

virtual void Mix::Scene::IDynamicsObject::ClearContactListener | ( | void |  | ) |

pure virtual

全てのコンタクトリスナーを削除します

Note
  削除したコンタクトリスナーは参照カウンタを -1 します

virtual Int32 Mix::Scene::IDynamicsObject::GetUserIndex | ( | void |  | ) | const

pure virtual

ユーザーインデックスを取得します

Returns
  インデックスを返します

virtual void Mix::Scene::IDynamicsObject::SetUserIndex | ( | Int32 | index | ) |

pure virtual

ユーザーインデックスを設定します

Parameters

  index | インデックス

Note
  この値はユーザーが自由に使用できます

virtual void* Mix::Scene::IDynamicsObject::GetUserPtr | ( | void |  | ) | const

pure virtual

ユーザーポインタを取得します

Returns
  ポインタを返します

virtual void Mix::Scene::IDynamicsObject::SetUserPtr | ( | void * | pData | ) |

pure virtual

ユーザーポインタを設定します

Parameters

  pData | ポインタ

Note
  この値はユーザーが自由に使用できます

The documentation for this class was generated from the following file:

- Mix/Scene/IDynamicsObject.h